summaryrefslogtreecommitdiff
path: root/src/modules/compile.sh
diff options
context:
space:
mode:
authorrob rob@31f1291d-b8d6-0310-a050-a5561fc1590b <rob rob@31f1291d-b8d6-0310-a050-a5561fc1590b@5417fbe8-f217-4b02-8779-1006273d7864>2004-07-19 14:08:30 +0000
committerrob rob@31f1291d-b8d6-0310-a050-a5561fc1590b <rob rob@31f1291d-b8d6-0310-a050-a5561fc1590b@5417fbe8-f217-4b02-8779-1006273d7864>2004-07-19 14:08:30 +0000
commita1479a87757fb5e9b48f3c8bb5dd9cc247406f1a (patch)
tree06d23a51082a398c512ed8f1e39bdac60d4dd658 /src/modules/compile.sh
parent7fffea77edbe72cd66f7a55f41a3966204f9cf86 (diff)
BUILD : 1.7.4 (264) BUGS : N/A NOTES : Switched to autoconf - try to commit part 1
git-svn-id: svn://svn.anope.org/anope/trunk@264 31f1291d-b8d6-0310-a050-a5561fc1590b git-svn-id: http://anope.svn.sourceforge.net/svnroot/anope/trunk@169 5417fbe8-f217-4b02-8779-1006273d7864
Diffstat (limited to 'src/modules/compile.sh')
-rwxr-xr-xsrc/modules/compile.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/src/modules/compile.sh b/src/modules/compile.sh
new file mode 100755
index 000000000..912780b65
--- /dev/null
+++ b/src/modules/compile.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+# Disabled for Anope 1.6 until we figure out a better way to
+# download modules safely.
+# if [ "$1" = "getmods" ] ; then
+# wget -nv -r -l 1 -A c -nd -nc http://modules.anope.org/download/
+# rm -f robots.txt
+# exit 0
+# fi
+
+if [ ! -f ../Makefile.inc ]; then
+ echo ""
+ echo "*** ERROR: Unable to find ../Makefile.inc. You must ./configure Anope before"
+ echo "*** ERROR: compiling modules. Please read the INSTALL document for details."
+ echo ""
+ exit 1
+fi
+
+echo -n "SRCS=" > ./Makefile.inc
+FIRST=1
+for oldfile in *.c
+do
+ if [ "$FIRST" = 1 ] ; then
+ echo -n " "$oldfile >> ./Makefile.inc
+ else
+ echo "\\" >> ./Makefile.inc
+ echo -n " " $oldfile >> ./Makefile.inc
+ fi
+ FIRST=0
+done
+echo "" >> ./Makefile.inc
+
+make
+
+if [ "$1" = "install" ] ; then
+ make install
+fi